@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

* {
  box-sizing: border-box;
}

body {
  margin: 0;

  font-family: 'Lato', sans-serif;
  color: #222;
  background-color: #333;
  overflow-x: hidden;
}

.container {
  padding: 3rem;
  inline-size: 100vw;
  min-block-size: 100vh;
  
  background-color: #fafafa;
  transform-origin: top left;
  transition: transform .5s linear;
}

.container.show-nav {
  transform: rotate(-20deg);
}

.circle-container {
  position: fixed;
  top: -100px;
  left: -100px;
}

.circle {
  position: relative;
  inline-size: 200px;
  block-size: 200px;
  border-radius: 50%;

  background-color: #FF7979;
  transition: transform .5s linear;
}

.container.show-nav .circle {
  transform: rotate(-70deg);
}

.circle button {
  position: absolute;
  top: 50%;
  left: 50%;
  block-size: 100px;
  border: 0;
  font-size: 1.5rem;
  color: #FFF;
  background: transparent;
  cursor: pointer;
}

.circle button:focus {
  outline: none;
}

.circle button#open {
  left: 60%;
}

.circle button#close {
  top: 60%;
  transform: rotate(90deg);
  transform-origin: top left;
}

.container.show-nav + .menu .menuItem {
  transform: translateX(0);
  transition-delay: .3s;
}


.menu {
  position: fixed;
  bottom: 2.5rem;
  left: 0;
  z-index: 100;
}

.menu ul {
  list-style: none;
  padding-inline-start: 30px;
}

.menuItem {
  margin: 2.5rem 0;
  color: #FFF;
  text-transform: uppercase;
  transform: translateX(-100%);
  transition: transform .4s ease-in;
}

.menuItem i {
  margin-inline-end: 0.5rem;
  font-size: 1.25rem;
}

.menuItem + .menuItem {
  margin-inline-start: 1rem;
  transform: translateX(-150%);

}

.menuItem + .menuItem + .menuItem  {
  margin-inline-start: 2rem;
  transform: translateX(-200%);
}



.content {
  margin: 3rem auto;
  max-inline-size: 1000px;
}
.contentTitle {
  margin: 0;
}
.contentAuthor {
  color: #555;
  font-style: italic;
}

.contentText {
  color: #333;
  line-height: 1.5;
}
.contentImg {
  max-inline-size: 100%;
}
